Page Index Toggle Pages: 1
Topic Tools
Hot Topic (More than 10 Replies) Upgraded to 2.5 but admincenter still states 2.3.1 (Read 2,949 times)
Dandello
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Offline



Posts: 2,198
Location: Earth

YaBB 2.6.0
Re: Upgraded to 2.5 but admincenter still states 2.3.1
Reply #12 - Apr 14th, 2012 at 10:03pm
Post Tools
So long as it's working.  Wink
  

If you only have one solution to a problem you're not trying hard enough!
Back to top
WWW  
IP Logged
 
depablo
YaBB Moderators
YaBB Next Team
Beta Testers
***
Offline



Posts: 577
Location: UK

None
Re: Upgraded to 2.5 but admincenter still states 2.3.1
Reply #11 - Apr 14th, 2012 at 7:18pm
Post Tools
Looks like he did a new install  Smiley
  

Taking a peek behind the mask Wink
Back to top
 
IP Logged
 
Dandello
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Offline



Posts: 2,198
Location: Earth

YaBB 2.6.0
Re: Upgraded to 2.5 but admincenter still states 2.3.1
Reply #10 - Apr 13th, 2012 at 7:15pm
Post Tools
You don't have to format your entire domain. But I hope you took our advice and did a full backup.


Okay - in the cgi-bin create a folder and call it yabbnew or something like that. Install the 2.5 files there (except for the ones that go in public_html or home) Make sure the permissions are correct . Create a folder for your yabbfiles  (the icons and css files) and name it something like yabbnewfiles. Put the public_html files here.

COPY your boards, members, messages, etc to their appropriate folders under yabbnew.

Run yabbnew/setup.pl  and keep your fingers crossed.

Once everything is working you can remove your old install and rename yabbnew to yabb2 (or yabb) and yabbnewfiles to yabbfiles (remember to change the paths in Paths.pl)
  

If you only have one solution to a problem you're not trying hard enough!
Back to top
WWW  
IP Logged
 
wiz
YaBB Newcomer
*
Offline



Posts: 6

None
Re: Upgraded to 2.5 but admincenter still states 2.3.1
Reply #9 - Apr 13th, 2012 at 6:49pm
Post Tools
It seems I haven't been the only one with this problem:
http://www.yabbforum.com/community/YaBB.pl?num=1307064354

It seems it's been going on for years without resolution. Every OP I have read, the user has ended up formatting their entire domain and restarting the whole process.

I hope I don't have to do that.
  
Back to top
 
IP Logged
 
wiz
YaBB Newcomer
*
Offline



Posts: 6

None
Re: Upgraded to 2.5 but admincenter still states 2.3.1
Reply #8 - Apr 13th, 2012 at 6:32pm
Post Tools
OK, so you're right about maintenance mode not being relevant to the problem. I turned off maintenance mode manually by following this fix:

http://www.yabbforum.com/codex/YaBB.pl?num=1217258894

But now I still have no tabs...
  
Back to top
 
IP Logged
 
wiz
YaBB Newcomer
*
Offline



Posts: 6

None
Re: Upgraded to 2.5 but admincenter still states 2.3.1
Reply #7 - Apr 13th, 2012 at 6:23pm
Post Tools
Thanks so much for all of your replies.

No I can't get back to AdminCenter. I yupe in the address australiadecides,com/AdminIndex.pl and it takes me to the 'update session' page where I need to enter my password. Once I've done that, it takes me back to my forum's main page, gives me the 'No Masterkey was set in the Security Settings/Validation Image section' message, along with a reminder that I'm in maintenance mode and, most importantly, no ADMIN tab (or any other tabs) appear.
  
Back to top
 
IP Logged
 
Bill Myers
God Member
Beta Testers
*****
Offline



Posts: 1,562
Location: Los Angeles

YaBB 2.4
Re: Upgraded to 2.5 but admincenter still states 2.3.1
Reply #6 - Apr 13th, 2012 at 5:58pm
Post Tools
wiz wrote on Apr 13th, 2012 at 5:18pm:
...

Bad: After uploading all the new files to the correct directories, I returned to my AdminCenter page (which i left open in my browser), but I had an IP session conflict. I am now stuck in maintenance mode and can't get back to my AdminCenter!

...

I just recently had an IP session conflict ... first time I've ever seen it. But clicking the link to refresh the conflict worked for me just fine. Being in maintenance mode shouldn't prevent you from doing the same.

In any case, if you're still logged into your forum, try logging out, and then back in again to access your Admin Center. That will hopefully work (although you may need to use a different browser.).
  

Morning, noon, or night, have a great one!

Note: This forum doesn't allow for us to freely edit our posts or topics to make corrections as needed, so please remember to look for subsequent posts if you see any mistakes or outdated information. Sorry for the inconvenience.
Back to top
IP Logged
 
wiz
YaBB Newcomer
*
Offline



Posts: 6

None
Re: Upgraded to 2.5 but admincenter still states 2.3.1
Reply #5 - Apr 13th, 2012 at 5:18pm
Post Tools
Good news and bad news:

Good: I have located the correct folder to install into. My host put this in a funny place (i.e. not in the public cg-bin)

Bad: After uploading all the new files to the correct directories, I returned to my AdminCenter page (which i left open in my browser), but I had an IP session conflict. I am now stuck in maintenance mode and can't get back to my AdminCenter!

darn! I was so close! I've been searching the forums for help. but most threads seem to deal with IP conflicts that AREN'T stuck in maintenance mode (I have removed all web accelerator programs already).
  
Back to top
 
IP Logged
 
Dandello
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Offline



Posts: 2,198
Location: Earth

YaBB 2.6.0
Re: Upgraded to 2.5 but admincenter still states 2.3.1
Reply #4 - Apr 13th, 2012 at 5:09pm
Post Tools
First - do a backup.

Then in the Admin Center look at Detailed Version check. That will list the versions of all the .pl files. Make sure they say YaBB 2.5 AE. If not, note which files they are and look for where the new files are.

The Version info given in the main page of the Admin center is read from  files that may not have been updated. (Especially make sure AdminIndex.pl was updated as that's where $YaBBversion is.)
  

If you only have one solution to a problem you're not trying hard enough!
Back to top
WWW  
IP Logged
 
depablo
YaBB Moderators
YaBB Next Team
Beta Testers
***
Offline



Posts: 577
Location: UK

None
Re: Upgraded to 2.5 but admincenter still states 2.3.1
Reply #3 - Apr 13th, 2012 at 4:07pm
Post Tools
Sorry, dont worry too much about folder names. The default settings are cgi-bin/yabb2, however your cpanel yabb2 folder may be named yabb.

Upload the files to the folder that matches your install, look inside and confirm file names etc. Oh and do a backup.
  

Taking a peek behind the mask Wink
Back to top
 
IP Logged
 
wiz
YaBB Newcomer
*
Offline



Posts: 6

None
Re: Upgraded to 2.5 but admincenter still states 2.3.1
Reply #2 - Apr 13th, 2012 at 4:01pm
Post Tools
This WAS a manual attempt to upgrade to 2.5. Only the initial installation of 2.3.1 used cPanel.
  
Back to top
 
IP Logged
 
depablo
YaBB Moderators
YaBB Next Team
Beta Testers
***
Offline



Posts: 577
Location: UK

None
Re: Upgraded to 2.5 but admincenter still states 2.3.1
Reply #1 - Apr 13th, 2012 at 3:47pm
Post Tools
Sorry I have not much time at the moment, to carry out Cpanel upgrades you are better using manual / ftp to upgrade to the latest version.

Someone will be along soon to help out  Smiley
  

Taking a peek behind the mask Wink
Back to top
 
IP Logged
 
wiz
YaBB Newcomer
*
Offline



Posts: 6

None
Upgraded to 2.5 but admincenter still states 2.3.1
Apr 13th, 2012 at 3:03pm
Post Tools
I'm going to keep this brief because I just spent 15 minutes typing my message, only to have YABB deny it because it contained a link to my URL (in order to refer to my forum). When I pressed the link to go back, my text was all gone and I had no option to edit.  Angry

Anyway, I installed Yabb 2.3.1 from my host's cpanel software, and this was working perfectly. Today I decided to upgrade to 2.5 using YaBB_2.5_AE-Upgrade.zip. I followed the readme file to the letter, but was unsure about one thing:

The zip file contained a path which was not the same as the path on my server. Specifically: 'YaBB_2_5_upgrade_all\cgi-bin\' contained 'yabb2', so I didn't know whether my server should have:

cgi-bin\yabb2\*.* or
cgi-bin\*.*

I used the latter, but I have no idea if this is why my AdminCenter still says I have 2.3.1 installed. Everything else went fine, and I ran all the maintenance items without issue.

My domain is australia decides dot com. Can anyone help?
  
Back to top
 
IP Logged
 
Page Index Toggle Pages: 1
Topic Tools
 
  « Board Index ‹ Board  ^Top